unit PluginOne;


interface


uses

   Windows,

   Messages,

   SysUtils,

   Classes,

   Dialogs,

   Forms,

   upfIntf, 

   upfVisualClasses,

   TabsheetCoreUnit;


type


  TupfVisualPlugin2 = class(TupfVisualPlugin, ITabSheetPlugin)

    procedure upfVisualPluginCreate(Sender: TObject);

    procedure upfVisualPluginDestroy(Sender: TObject);

  private

     FFrame : TFrame;

  public

     function GetFrame : TFrame;

     function GetCaption : string;
  end;


procedure Register;

procedure UnRegister;


implementation


uses SampleFrameUnit;


var

  // CHANGE!

  // TupfVisualPlugin1 should be replaced with the name of your new

  // plugin type. For Example, TMyNewVisualPlugin.

  APlugin : TupfVisualPlugin2;


{$R *.DFM}


// IMPORTANT!

// Changes will be required here if you change the name of the visual

// plugin.

// These changes are marked below:

procedure Register;

var

  AppSvc : IupfCommandServices;

  j      : integer;

begin

  // CHANGE!

  // TupfVisualPlugin1 should be replaced with the name of your new

  // plugin type. For Example, TMyNewVisualPlugin.

  APlugin := TupfVisualPlugin2.Create(nil);
  if assigned(ApplicationServices) then
  begin
    AppSvc := ApplicationServices as IupfCommandServices;
    AppSvc.RegisterPlugin(APlugin);
    for j := 0 to APlugin.Commands.Count - 1 do
      AppSvc.RegisterCommand(APlugin, APlugin.Commands[j]);
  end;
end;


procedure UnRegister;

begin

  // Free the plugin

  APlugin.Free;
end;


function TupfVisualPlugin2.GetCaption: string;
begin
   result := PluginName;
end;

function TupfVisualPlugin2.GetFrame: TFrame;
begin
   result := FFrame;
end;

procedure TupfVisualPlugin2.upfVisualPluginCreate(Sender: TObject);
begin
   FFrame := TSampleFrame.Create(nil);
end;

procedure TupfVisualPlugin2.upfVisualPluginDestroy(Sender: TObject);
begin
   FFrame.Free;
end;

end.